/***************************************************************************
 * Copyright 2012 by
 *  + Christian-Albrechts-University of Kiel
 *    + Department of Computer Science
 *      + Software Engineering Group 
 *  and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/
package kieker.webgui.beans.session;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 * This bean stores the current workspace size of the current user.
 * 
 * @author Nils Christian Ehmke
 */
@ManagedBean
@SessionScoped
public class CurrentWorkspaceSizeBean {

	private int sizeX;
	private int sizeY;

	/**
	 * Creates a new instance of this class.
	 */
	public CurrentWorkspaceSizeBean() {
		this.sizeX = 1000;
		this.sizeY = 1000;
	}

	public int getSizeX() {
		return this.sizeX;
	}

	public void setSizeX(final int sizeX) {
		this.sizeX = sizeX;
	}

	public int getSizeY() {
		return this.sizeY;
	}

	public void setSizeY(final int sizeY) {
		this.sizeY = sizeY;
	}
}
