/***************************************************************************
 * Copyright 2012 by
 *  + Christian-Albrechts-University of Kiel
 *    + Department of Computer Science
 *      + Software Engineering Group 
 *  and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/

package kieker.webgui.common;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.List;

import junit.framework.Assert;
import junit.framework.TestCase;
import kieker.analysis.plugin.AbstractPlugin;

import org.junit.Test;

/**
 * @author Nils Christian Ehmke
 * @version 1.0
 */
public class PluginFinderTest extends TestCase {

	/**
	 * Creates a new instance of this class.
	 */
	public PluginFinderTest() {}

	/**
	 * This test makes sure that the plugin finder is able to find plugins within the kieker jar.
	 */
	@Test
	public void testKiekerJarContainsPlugins() {
		/* It can be assumed that the kieker jar contains at least one plugin. */
		try {
			PluginClassLoader.getInstance().addURL(new URL("file", "localhost", "lib/kieker-1.6-SNAPSHOT_emf.jar"));
			final List<Class<AbstractPlugin>> availableKiekerPlugins = PluginFinder.getAllPluginsWithinJar(new URL("file", "localhost",
					"lib/kieker-1.6-SNAPSHOT_emf.jar"));
			Assert.assertTrue("Kieker-Jar seems to contain no plugins.", availableKiekerPlugins.size() > 0);
		} catch (final MalformedURLException ex) {
			Assert.fail("Exception occured.");
		}
	}
}
